Package org.jboss.logmanager.handlers

# Enum SyslogHandler.Protocol

java.lang.Object
java.lang.Enum<SyslogHandler.Protocol>
org.jboss.logmanager.handlers.SyslogHandler.Protocol

All Implemented Interfaces:
  `Serializable`, `Comparable<SyslogHandler.Protocol>`, `java.lang.constant.Constable`

Enclosing class:
  `SyslogHandler`

public static enum SyslogHandler.Protocol extends Enum<SyslogHandler.Protocol>
The type of socket the syslog should write to

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SSL_TCP`
Transport Layer Security over TCP
`TCP`
Transmission Control Protocol
`UDP`
User Datagram Protocol

## Method Summary

Modifier and Type
Method
Description
`static SyslogHandler.Protocol`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.Protocol[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TCP

public static final SyslogHandler.Protocol TCP
Transmission Control Protocol

### UDP

public static final SyslogHandler.Protocol UDP
User Datagram Protocol

### SSL_TCP

public static final SyslogHandler.Protocol SSL_TCP
Transport Layer Security over TCP

## Method Details

### values

public static SyslogHandler.Protocol[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SyslogHandler.Protocol valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null